/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * M_YAKUSYOKU(役職マスタ)のDTOクラス。
 */
public class MYakusyokuDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 5333429464401331944L;
	// フィールド
	private String				ycode				= "";
	private String				yname				= "";
	private String				tokyu				= "";
	private String				tkekkin				= "";
	private String				kekkin				= "";
	private String				skekkin				= "";
	private String				tiji				= "";
	private String				zaji				= "";
	private String				ksji				= "";
	private String				snji				= "";
	private String				kaikin				= "";
	private String				syokuji				= "";
	private String				cyoku1				= "";
	private String				cyoku2				= "";
	private String				cyoku3				= "";
	private String				hoka1				= "";
	private String				hoka2				= "";
	private String				hoka3				= "";
	private String				hoka4				= "";
	private String				hoka5				= "";
	private int					tkekkintan			= 0;
	private int					kekkintan			= 0;
	private int					skekkintan			= 0;
	private int					tijitan				= 0;
	private int					zajitan				= 0;
	private int					ksjitan				= 0;
	private int					snjitan				= 0;
	private int					kaikintan			= 0;
	private int					syokujitan			= 0;
	private int					cyoku1tan			= 0;
	private int					cyoku2tan			= 0;
	private int					cyoku3tan			= 0;
	private int					hoka1tan			= 0;
	private int					hoka2tan			= 0;
	private int					hoka3tan			= 0;
	private int					hoka4tan			= 0;
	private int					hoka5tan			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public MYakusyokuDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return ycode 	役職コード。
	 */
	public String getYcode() {
		return ycode;
	}
	
	/**
	 * @return yname 	役職名。
	 */
	public String getYname() {
		return yname;
	}
	
	/**
	 * @return tokyu 	等級。
	 */
	public String getTokyu() {
		return tokyu;
	}
	
	/**
	 * @return tkekkin 	特別休暇控除有無。
	 */
	public String getTkekkin() {
		return tkekkin;
	}
	
	/**
	 * @return kekkin 	一般欠勤控除有無。
	 */
	public String getKekkin() {
		return kekkin;
	}
	
	/**
	 * @return skekkin 	傷病欠勤控除有無。
	 */
	public String getSkekkin() {
		return skekkin;
	}
	
	/**
	 * @return tiji 	遅刻早退控除有無。
	 */
	public String getTiji() {
		return tiji;
	}
	
	/**
	 * @return zaji 	普通残業手当有無。
	 */
	public String getZaji() {
		return zaji;
	}
	
	/**
	 * @return ksji 	休日残業手当有無。
	 */
	public String getKsji() {
		return ksji;
	}
	
	/**
	 * @return snji 	深夜残業手当有無。
	 */
	public String getSnji() {
		return snji;
	}
	
	/**
	 * @return kaikin 	精皆勤手当有無。
	 */
	public String getKaikin() {
		return kaikin;
	}
	
	/**
	 * @return syokuji 	食事手当有無。
	 */
	public String getSyokuji() {
		return syokuji;
	}
	
	/**
	 * @return cyoku1 	1直手当有無。
	 */
	public String getCyoku1() {
		return cyoku1;
	}
	
	/**
	 * @return cyoku2 	2直手当有無。
	 */
	public String getCyoku2() {
		return cyoku2;
	}
	
	/**
	 * @return cyoku3 	3直手当有無。
	 */
	public String getCyoku3() {
		return cyoku3;
	}
	
	/**
	 * @return hoka1 	その他支給1有無。
	 */
	public String getHoka1() {
		return hoka1;
	}
	
	/**
	 * @return hoka2 	その他支給2有無。
	 */
	public String getHoka2() {
		return hoka2;
	}
	
	/**
	 * @return hoka3 	その他支給3有無。
	 */
	public String getHoka3() {
		return hoka3;
	}
	
	/**
	 * @return hoka4 	その他支給4有無。
	 */
	public String getHoka4() {
		return hoka4;
	}
	
	/**
	 * @return hoka5 	その他支給5有無。
	 */
	public String getHoka5() {
		return hoka5;
	}
	
	/**
	 * @return tkekkintan 	特別休暇控除単価。
	 */
	public int getTkekkintan() {
		return tkekkintan;
	}
	
	/**
	 * @return kekkintan 	一般欠勤控除単価。
	 */
	public int getKekkintan() {
		return kekkintan;
	}
	
	/**
	 * @return skekkintan 	傷病欠勤控除単価。
	 */
	public int getSkekkintan() {
		return skekkintan;
	}
	
	/**
	 * @return tijitan 	遅刻早退控除単価。
	 */
	public int getTijitan() {
		return tijitan;
	}
	
	/**
	 * @return zajitan 	普通残業手当単価。
	 */
	public int getZajitan() {
		return zajitan;
	}
	
	/**
	 * @return ksjitan 	休日残業手当単価。
	 */
	public int getKsjitan() {
		return ksjitan;
	}
	
	/**
	 * @return snjitan 	深夜残業手当単価。
	 */
	public int getSnjitan() {
		return snjitan;
	}
	
	/**
	 * @return kaikintan 	精皆勤手当単価。
	 */
	public int getKaikintan() {
		return kaikintan;
	}
	
	/**
	 * @return syokujitan 	食事手当単価。
	 */
	public int getSyokujitan() {
		return syokujitan;
	}
	
	/**
	 * @return cyoku1tan 	1直手当単価。
	 */
	public int getCyoku1tan() {
		return cyoku1tan;
	}
	
	/**
	 * @return cyoku2tan 	2直手当単価。
	 */
	public int getCyoku2tan() {
		return cyoku2tan;
	}
	
	/**
	 * @return cyoku3tan 	3直手当単価。
	 */
	public int getCyoku3tan() {
		return cyoku3tan;
	}
	
	/**
	 * @return hoka1tan 	その他支給1単価。
	 */
	public int getHoka1tan() {
		return hoka1tan;
	}
	
	/**
	 * @return hoka2tan 	その他支給2単価。
	 */
	public int getHoka2tan() {
		return hoka2tan;
	}
	
	/**
	 * @return hoka3tan 	その他支給3単価。
	 */
	public int getHoka3tan() {
		return hoka3tan;
	}
	
	/**
	 * @return hoka4tan 	その他支給4単価。
	 */
	public int getHoka4tan() {
		return hoka4tan;
	}
	
	/**
	 * @return hoka5tan 	その他支給5単価。
	 */
	public int getHoka5tan() {
		return hoka5tan;
	}
	
	/**
	 * @param ycode 	セットする役職コード。
	 */
	public void setYcode(String ycode) {
		this.ycode = ycode;
	}
	
	/**
	 * @param yname 	セットする役職名。
	 */
	public void setYname(String yname) {
		this.yname = yname;
	}
	
	/**
	 * @param tokyu 	セットする等級。
	 */
	public void setTokyu(String tokyu) {
		this.tokyu = tokyu;
	}
	
	/**
	 * @param tkekkin 	セットする特別休暇控除有無。
	 */
	public void setTkekkin(String tkekkin) {
		this.tkekkin = tkekkin;
	}
	
	/**
	 * @param kekkin 	セットする一般欠勤控除有無。
	 */
	public void setKekkin(String kekkin) {
		this.kekkin = kekkin;
	}
	
	/**
	 * @param skekkin 	セットする傷病欠勤控除有無。
	 */
	public void setSkekkin(String skekkin) {
		this.skekkin = skekkin;
	}
	
	/**
	 * @param tiji 	セットする遅刻早退控除有無。
	 */
	public void setTiji(String tiji) {
		this.tiji = tiji;
	}
	
	/**
	 * @param zaji 	セットする普通残業手当有無。
	 */
	public void setZaji(String zaji) {
		this.zaji = zaji;
	}
	
	/**
	 * @param ksji 	セットする休日残業手当有無。
	 */
	public void setKsji(String ksji) {
		this.ksji = ksji;
	}
	
	/**
	 * @param snji 	セットする深夜残業手当有無。
	 */
	public void setSnji(String snji) {
		this.snji = snji;
	}
	
	/**
	 * @param kaikin 	セットする精皆勤手当有無。
	 */
	public void setKaikin(String kaikin) {
		this.kaikin = kaikin;
	}
	
	/**
	 * @param syokuji 	セットする食事手当有無。
	 */
	public void setSyokuji(String syokuji) {
		this.syokuji = syokuji;
	}
	
	/**
	 * @param cyoku1 	セットする1直手当有無。
	 */
	public void setCyoku1(String cyoku1) {
		this.cyoku1 = cyoku1;
	}
	
	/**
	 * @param cyoku2 	セットする2直手当有無。
	 */
	public void setCyoku2(String cyoku2) {
		this.cyoku2 = cyoku2;
	}
	
	/**
	 * @param cyoku3 	セットする3直手当有無。
	 */
	public void setCyoku3(String cyoku3) {
		this.cyoku3 = cyoku3;
	}
	
	/**
	 * @param hoka1 	セットするその他支給1有無。
	 */
	public void setHoka1(String hoka1) {
		this.hoka1 = hoka1;
	}
	
	/**
	 * @param hoka2 	セットするその他支給2有無。
	 */
	public void setHoka2(String hoka2) {
		this.hoka2 = hoka2;
	}
	
	/**
	 * @param hoka3 	セットするその他支給3有無。
	 */
	public void setHoka3(String hoka3) {
		this.hoka3 = hoka3;
	}
	
	/**
	 * @param hoka4 	セットするその他支給4有無。
	 */
	public void setHoka4(String hoka4) {
		this.hoka4 = hoka4;
	}
	
	/**
	 * @param hoka5 	セットするその他支給5有無。
	 */
	public void setHoka5(String hoka5) {
		this.hoka5 = hoka5;
	}
	
	/**
	 * @param tkekkintan 	セットする特別休暇控除単価。
	 */
	public void setTkekkintan(int tkekkintan) {
		this.tkekkintan = tkekkintan;
	}
	
	/**
	 * @param kekkintan 	セットする一般欠勤控除単価。
	 */
	public void setKekkintan(int kekkintan) {
		this.kekkintan = kekkintan;
	}
	
	/**
	 * @param skekkintan 	セットする傷病欠勤控除単価。
	 */
	public void setSkekkintan(int skekkintan) {
		this.skekkintan = skekkintan;
	}
	
	/**
	 * @param tijitan 	セットする遅刻早退控除単価。
	 */
	public void setTijitan(int tijitan) {
		this.tijitan = tijitan;
	}
	
	/**
	 * @param zajitan 	セットする普通残業手当単価。
	 */
	public void setZajitan(int zajitan) {
		this.zajitan = zajitan;
	}
	
	/**
	 * @param ksjitan 	セットする休日残業手当単価。
	 */
	public void setKsjitan(int ksjitan) {
		this.ksjitan = ksjitan;
	}
	
	/**
	 * @param snjitan 	セットする深夜残業手当単価。
	 */
	public void setSnjitan(int snjitan) {
		this.snjitan = snjitan;
	}
	
	/**
	 * @param kaikintan 	セットする精皆勤手当単価。
	 */
	public void setKaikintan(int kaikintan) {
		this.kaikintan = kaikintan;
	}
	
	/**
	 * @param syokujitan 	セットする食事手当単価。
	 */
	public void setSyokujitan(int syokujitan) {
		this.syokujitan = syokujitan;
	}
	
	/**
	 * @param cyoku1tan 	セットする1直手当単価。
	 */
	public void setCyoku1tan(int cyoku1tan) {
		this.cyoku1tan = cyoku1tan;
	}
	
	/**
	 * @param cyoku2tan 	セットする2直手当単価。
	 */
	public void setCyoku2tan(int cyoku2tan) {
		this.cyoku2tan = cyoku2tan;
	}
	
	/**
	 * @param cyoku3tan 	セットする3直手当単価。
	 */
	public void setCyoku3tan(int cyoku3tan) {
		this.cyoku3tan = cyoku3tan;
	}
	
	/**
	 * @param hoka1tan 	セットするその他支給1単価。
	 */
	public void setHoka1tan(int hoka1tan) {
		this.hoka1tan = hoka1tan;
	}
	
	/**
	 * @param hoka2tan 	セットするその他支給2単価。
	 */
	public void setHoka2tan(int hoka2tan) {
		this.hoka2tan = hoka2tan;
	}
	
	/**
	 * @param hoka3tan 	セットするその他支給3単価。
	 */
	public void setHoka3tan(int hoka3tan) {
		this.hoka3tan = hoka3tan;
	}
	
	/**
	 * @param hoka4tan 	セットするその他支給4単価。
	 */
	public void setHoka4tan(int hoka4tan) {
		this.hoka4tan = hoka4tan;
	}
	
	/**
	 * @param hoka5tan 	セットするその他支給5単価。
	 */
	public void setHoka5tan(int hoka5tan) {
		this.hoka5tan = hoka5tan;
	}
	
}
